=== Examples/javascript/class/Makefile ===
CXXSRCS = example.cxx
_CPP = _cpp

include $(SRCDIR)../example.mk
