=== debian/changelog ===
swig (4.4.0-1) unstable; urgency=medium

  * Acknowledge NMU, thanks Matthias Klose
  * d/control:
    + Mark swig-examples as Multi-Arch: foreign
    + Bump Standards-Version to 4.7.2 (no changes needed)
  * d/watch: Convert to format version 5
  * d/u/metadata: Use URLs from GitHub
  * d/clean: Remove files Examples/test-suite/*/Makefile

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Oct 2025 09:00:09 -0300

swig (4.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #1118569.
  * Remove obsolete patches issue3058.diff and add-required-c-header.patch.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Oct 2025 10:52:32 +0200
