=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=autoconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

# This is a workaround while we make the unit tests work in a reasonable way
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs -XCHANGES

override_dh_compress:
	dh_compress -Xswig-examples/examples

examples_dir = debian/swig-examples/usr/share/doc/swig-examples/examples

execute_after_dh_installdeb:
	rm -rf $(examples_dir)/test-suite
	if [ -f $(examples_dir)/Makefile ] ; then	\
	    sed -i -e 's/^ROOT_DIR =.*/ROOT_DIR = ./'	\
	        $(examples_dir)/Makefile ; 		\
	fi
